Subject: Fwd: I am wondering why with cholesterol medication you take two days off?
From: HFL Support Team <[email-masked]>
To: manager <[email-masked]>
Date: Sun, 5 Jan 2020 10:31:47 +0800

Replied ZD 86351

Kae
---------- Forwarded message ---------
From: regina singer <[email-masked]>
Date: Sat, Jan 4, 2020 at 7:06 AM
Subject: I am wondering why with cholesterol medication you take two days
off?
To: <[email-masked]>

I’m concerned about not taking this everyday.  I don’t want to over do.
But I also don’t know why you take 2 days off each week.  As it has coq10.
And other stuff that I don’t take now because of this.  Combining it all in
your pills made me stop them individually.  Please send a detailed message
back.  As I also have other herbs I have stopped but like one being
tumeric.  Thank you very very much.  Regina

Sent from my iPhone